import type * as core from '@contentlayer/core';
import { T } from '@contentlayer/utils/effect';
import type { PageObjectResponse } from '@notionhq/client/build/src/api-endpoints';
import type { DatabasePropertyTypeDef, DatabaseTypeDef } from '../schema/types.js';
import type { FieldDef, PageProperties } from '../types.js';
export type ProvideDataForFieldDef = {
    property: PageProperties;
    databaseTypeDef: DatabaseTypeDef;
    databaseFieldTypeDef: DatabasePropertyTypeDef | undefined;
    fieldDef: FieldDef;
    documentTypeDef: core.DocumentTypeDef;
};
export type MakeCacheItemArgs = {
    databaseTypeDef: DatabaseTypeDef;
    documentTypeDef: core.DocumentTypeDef;
    page: PageObjectResponse;
    options: core.PluginOptions;
};
export declare const makeCacheItem: ({ databaseTypeDef, documentTypeDef, page, options }: MakeCacheItemArgs) => T.Effect<import("@contentlayer/utils/effect").Has<import("@notionhq/client").Client> & import("@contentlayer/utils/effect").Has<import("@notion-render/client").NotionRenderer>, unknown, {
    document: {
        [x: string]: any;
        _id: string;
        _raw: {};
    };
    documentHash: string;
    hasWarnings: boolean;
    documentTypeName: string;
}>;
//# sourceMappingURL=makeCacheItem.d.ts.map