import * as tracing_1 from "@effect-ts/core/Tracing";
const fileName_1 = "packages/@contentlayer/source-notion/src/fetchData/makeCacheItem.ts";
import { hashObject } from '@contentlayer/utils';
import { pipe, T } from '@contentlayer/utils/effect';
import { getFieldData } from '../mapping/index.js';
import { fetchPageContent } from '../notion/fetchPageContent.js';
export const makeCacheItem = ({ databaseTypeDef, documentTypeDef, page, options }) => (T.chain_(T.chain_(T.forEachParDict_(documentTypeDef.fieldDefs, {
    mapKey: (fieldDef) => T.succeed(fieldDef.name, fileName_1 + ":29:38"),
    mapValue: (fieldDef) => {
        const databaseFieldTypeDef = databaseTypeDef.properties?.find((field) => field.key === fieldDef.propertyKey);
        return getFieldData({
            fieldDef,
            property: page.properties[fieldDef.propertyKey],
            databaseFieldTypeDef,
            databaseTypeDef,
            documentTypeDef,
        });
    },
}), (docValues) => T.gen(function* ($) {
    return {
        ...docValues,
        [options.fieldOptions.typeFieldName]: documentTypeDef.name,
        _id: page.id,
        _raw: {},
        ...(databaseTypeDef.importContent !== false
            ? {
                [options.fieldOptions.bodyFieldName]: yield* $(fetchPageContent({ page }), fileName_1 + ":51:63"),
            }
            : {}),
    };
}, fileName_1 + ":43:12"), fileName_1 + ":42:12"), (document) => (T.map_(hashObject(document), (hash) => ({
    document,
    documentHash: hash,
    hasWarnings: false,
    documentTypeName: documentTypeDef.name,
}), fileName_1 + ":60:14")), fileName_1 + ":57:12"));
//# sourceMappingURL=makeCacheItem.js.map